<?php

namespace App\Classes\Modules\Vouchers\DataTransferObjects;


use App\Classes\General\Interfaces\DataTransferObject;

class UpdateVoucherifyOrderObject implements DataTransferObject
{
    /** @var string  */
    private $voucherifyOrderId;

    /** @var int */
    private $bookingId;

    /** @var int */
    private $transactionId;

    /** @var string  */
    private $status;

    /**
     * UpdateVoucherifyOrderObject constructor.
     * @param string $voucherifyOrderId
     * @param int $bookingId
     * @param int $transactionId
     * @param string $status
     */
    public function __construct(string $voucherifyOrderId, int $bookingId, int $transactionId, string $status)
    {
        $this->voucherifyOrderId = $voucherifyOrderId;
        $this->bookingId = $bookingId;
        $this->transactionId = $transactionId;
        $this->status = $status;
    }

    /**
     * @return string
     */
    public function getVoucherifyOrderId(): string
    {
        return $this->voucherifyOrderId;
    }

    /**
     * @return int
     */
    public function getBookingId(): int
    {
        return $this->bookingId;
    }

    /**
     * @return int
     */
    public function getTransactionId(): int
    {
        return $this->transactionId;
    }

    /**
     * @return string
     */
    public function getStatus(): string
    {
        return $this->status;
    }
}
